Subject: 24.3.50; unwarranted horizontal auto-scrolling

From: Dani Moncayo <[email-masked]>
Date: Thu, 14 Nov 2013 14:59:09 +0100

>From "emacs -Q":
1. M-x toggle-truncate-lines
2. Visit a file with a single long line (say, about 300 characters)
3. Move point to the right until horizontal auto-scrolling take
   place. (note that now the point is centered horizontally in the
   window - ok).
4. Now move the point a bit to the left, but not too much, so that
   horizontal auto-scrolling doesn't happen again, and thereby the point
   ends up in a position closer to the left edge of the window.
5. C-x b C-x b (i.e. display another buffer and then display our buffer
   again).

I observe that the cursor is re-centered horizontally, which IMO is not
TRT.  The cursor should be at the same position it was last time I
displayed the buffer (i.e. where I put it).

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-11-12 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking 'CFLAGS=-O0 -g3' CPPFLAGS=-DGLYPH_DEBUG=1'

Important settings:
  value of $LANG: ESN
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

-- 
Dani Moncayo